<div class="table-responsive">
  <table class="table table-striped table-bordered table-hover">
    <thead>
      <tr>
        <th>Name</th>
        <th>Start date</th>
        <th>End date</th>
        <th>Status</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr ng-repeat="item in sprints.created.items | orderBy:created_at " ng-class="item.status=='Created' ? 'default':'warning'">
        <td>{{ item.name }}</td>
        <td>{{ item.start_date | date:'yyyy-MM-dd' }}</td>
        <td>{{ item.end_date | date:'yyyy-MM-dd' }}</td>
        <td>{{ item.status }}</td>
        <td>
          <a ui-sref="nav.wrorkingtasks({ project_id: item.project_id, sprint_id: item.id})" class="btn btn-success btn-xs">
            <i class="fa fa-check"></i>
          </a>

          <a ui-sref="nav.sprint({ project_id: item.project_id, sprint_id: item.id})" class="btn btn-primary btn-xs">
            <i class="fa fa-plus"></i>
          </a>
          <span ng-hide="project.owner_id != user.uuid">
            <button class="btn btn-info btn-xs" data-toggle="modal" data-target="#myModal1" data-ng-click="setUpdateSprint(item, $index)">
              <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
            </button>
            <button class="btn btn-danger btn-xs" ng-click="deleteSprint(item.id, $index)">
              <i class="fa fa-trash"></i>
            </button>
          </span>
        </td>
      </tr>
    </tbody>
  </table>
</div>
<!-- /.table-responsive -->

<div class="modal fade" id="myModal1" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
        <h4 class="modal-title" id="myModalLabel">Update sprint
          {{updatedSprint.name}}</h4>
      </div>
      <div class="modal-body">

        <form>
          <div class="form-group">
            <label>Name</label>
            <input type="text" class="form-control" ng-model="updatedSprint.name" placeholder="Name"/>
          </div>
          <div class="row">
            <div class="col-lg-6 col-md-6">
              <div class="form-group">
                <label>Start date</label>
                <input type="date" class="form-control" ng-model="updatedSprint.start_date" placeholder="Start date"/>
              </div>
            </div>
            <div class="col-lg-6 col-md-6">
              <div class="form-group">
                <label>End date</label>
                <input type="date" class="form-control" ng-model="updatedSprint.end_date" placeholder="End date" />
              </div>
            </div>
          </div>
          <div class="form-group">
            <label>Status</label>
            <select class="form-control" id="status" ng-model="updatedSprint.status" value="updatedSprint.status" placeholder="Status">
              <span ng-if="updatedSprint.status == 'Created'">
                <option value="Created">Created</option>
                <option value="InProgres">InProgres</option>
              </span>
              <option value="Closed">Closed</option>
            </select>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-success" data-dismiss="modal" ng-click="updateSprint()">Update</button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
